# Constant Field Values

## Contents

- org.pushingpixels.*

## org.pushingpixels.*

org.pushingpixels.substance.api.SubstanceLookAndFeel
Modifier and Type
Constant Field
Value
`public static final String`
`BUTTON_NO_MIN_SIZE_PROPERTY`
`"substancelaf.buttonnominsize"`
`public static final String`
`BUTTON_OPEN_SIDE_PROPERTY`
`"substancelaf.buttonopenSide"`
`public static final String`
`BUTTON_PAINT_NEVER_PROPERTY`
`"substancelaf.buttonpaintnever"`
`public static final String`
`BUTTON_SHAPER_PROPERTY`
`"substancelaf.buttonShaper"`
`public static final String`
`BUTTON_SIDE_PROPERTY`
`"substancelaf.buttonside"`
`public static final String`
`COLORIZATION_FACTOR`
`"substancelaf.colorizationFactor"`
`public static final String`
`COMBO_BOX_POPUP_FLYOUT_ORIENTATION`
`"substancelaf.comboboxpopupFlyoutOrientation"`
`public static final String`
`COMBO_POPUP_PROTOTYPE`
`"substancelaf.comboPopupPrototype"`
`public static final String`
`CORNER_RADIUS`
`"substancelaf.cornerRadius"`
`public static final String`
`FLAT_PROPERTY`
`"substancelaf.componentFlat"`
`public static final String`
`FOCUS_KIND`
`"substancelaf.focusKind"`
`public static final String`
`HEAP_STATUS_TRACE_FILE`
`"substancelaf.heapStatusTraceFile"`
`public static final String`
`MENU_GUTTER_FILL_KIND`
`"substancelaf.menuGutterFillKind"`
`public static final String`
`PASSWORD_ECHO_PER_CHAR`
`"substancelaf.passwordEchoPerChar"`
`public static final String`
`PLUGIN_XML`
`"META-INF/substance-plugin.xml"`
`public static final String`
`SCROLL_PANE_BUTTONS_POLICY`
`"substancelaf.scrollPaneButtonsPolicy"`
`public static final String`
`SHOW_EXTRA_WIDGETS`
`"substancelaf.addWidgets"`
`public static final String`
`SKIN_PROPERTY`
`"substancelaf.skin"`
`protected static final String`
`SUBSTANCE_FONT_POLICY_KEY`
`"substancelaf.fontPolicyKey"`
`protected static final String`
`SUBSTANCE_INPUT_MAP_SET_KEY`
`"substancelaf.inputMapSetKey"`
`public static final String`
`TABBED_PANE_CLOSE_BUTTONS_MODIFIED_ANIMATION`
`"substancelaf.tabbedpaneclosebuttonsmodifiedanimation"`
`public static final String`
`TABBED_PANE_CLOSE_BUTTONS_PROPERTY`
`"substancelaf.tabbedpanehasclosebuttons"`
`public static final String`
`TABBED_PANE_CLOSE_CALLBACK`
`"substancelaf.tabbedpanecloseCallback"`
`public static final String`
`TABBED_PANE_CONTENT_BORDER_KIND`
`"substancelaf.tabbedPaneContentBorderKind"`
`public static final String`
`TABBED_PANE_ROTATE_SIDE_TABS`
`"substancelaf.rotate"`
`public static final String`
`TABLE_LEADING_VERTICAL_LINE`
`"substancelaf.tableLeadingVerticalLine"`
`public static final String`
`TABLE_TRAILING_VERTICAL_LINE`
`"substancelaf.tableTrailingVerticalLine"`
`public static final String`
`TRACE_FILE`
`"substancelaf.traceFile"`
`public static final String`
`USE_THEMED_DEFAULT_ICONS`
`"substancelaf.useThemedDefaultIcons"`
`public static final String`
`WATERMARK_VISIBLE`
`"substancelaf.watermark.visible"`
`public static final String`
`WINDOW_AUTO_DEACTIVATE`
`"windowAutoDeactivate"`
`public static final String`
`WINDOW_MODIFIED`
`"windowModified"`
`public static final String`
`WINDOW_ROUNDED_CORNERS`
`"windowRoundedCorners"`
`public static final String`
`WINDOW_ROUNDED_CORNERS_PROPERTY`
`"substancelaf.windowRoundedCorners"`

org.pushingpixels.substance.api.painter.decoration.ArcDecorationPainter
Modifier and Type
Constant Field
Value
`public static final String`
`DISPLAY_NAME`
`"Arc"`
org.pushingpixels.substance.api.painter.decoration.BrushedMetalDecorationPainter
Modifier and Type
Constant Field
Value
`public static final String`
`DISPLAY_NAME`
`"Brushed Metal"`
org.pushingpixels.substance.api.painter.decoration.ClassicDecorationPainter
Modifier and Type
Constant Field
Value
`public static final String`
`DISPLAY_NAME`
`"Classic"`
org.pushingpixels.substance.api.painter.decoration.FlatDecorationPainter
Modifier and Type
Constant Field
Value
`public static final String`
`DISPLAY_NAME`
`"Flat"`
org.pushingpixels.substance.api.painter.decoration.Glass3DDecorationPainter
Modifier and Type
Constant Field
Value
`public static final String`
`DISPLAY_NAME`
`"Glass 3D"`
org.pushingpixels.substance.api.painter.decoration.MarbleNoiseDecorationPainter
Modifier and Type
Constant Field
Value
`public static final String`
`DISPLAY_NAME`
`"Marble Noise"`
org.pushingpixels.substance.api.painter.decoration.MatteDecorationPainter
Modifier and Type
Constant Field
Value
`public static final String`
`DISPLAY_NAME`
`"Matte"`

org.pushingpixels.substance.api.painter.highlight.ClassicHighlightPainter
Modifier and Type
Constant Field
Value
`public static final String`
`DISPLAY_NAME`
`"Classic"`
org.pushingpixels.substance.api.painter.highlight.GlassHighlightPainter
Modifier and Type
Constant Field
Value
`public static final String`
`DISPLAY_NAME`
`"Glass"`

org.pushingpixels.substance.api.skin.AutumnSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Autumn"`
org.pushingpixels.substance.api.skin.BusinessBlackSteelSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Business Black Steel"`
org.pushingpixels.substance.api.skin.BusinessBlueSteelSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Business Blue Steel"`
org.pushingpixels.substance.api.skin.BusinessSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Business"`
org.pushingpixels.substance.api.skin.CeruleanSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Cerulean"`
org.pushingpixels.substance.api.skin.ChallengerDeepSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Challenger Deep"`
org.pushingpixels.substance.api.skin.CremeCoffeeSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Creme Coffee"`
org.pushingpixels.substance.api.skin.CremeSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Creme"`
org.pushingpixels.substance.api.skin.DustCoffeeSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Dust Coffee"`
org.pushingpixels.substance.api.skin.DustSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Dust"`
org.pushingpixels.substance.api.skin.EmeraldDuskSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Emerald Dusk"`
org.pushingpixels.substance.api.skin.GeminiSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Gemini"`
org.pushingpixels.substance.api.skin.GraphiteAquaSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Graphite Aqua"`
org.pushingpixels.substance.api.skin.GraphiteGlassSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Graphite Glass"`
org.pushingpixels.substance.api.skin.GraphiteSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Graphite"`
org.pushingpixels.substance.api.skin.MagellanSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Magellan"`
org.pushingpixels.substance.api.skin.MarinerSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Mariner"`
org.pushingpixels.substance.api.skin.MistAquaSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Mist Aqua"`
org.pushingpixels.substance.api.skin.MistSilverSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Mist Silver"`
org.pushingpixels.substance.api.skin.ModerateSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Moderate"`
org.pushingpixels.substance.api.skin.NebulaBrickWallSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Nebula Brick Wall"`
org.pushingpixels.substance.api.skin.NebulaSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Nebula"`
org.pushingpixels.substance.api.skin.OfficeBlack2007Skin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Office Black 2007"`
org.pushingpixels.substance.api.skin.OfficeBlue2007Skin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Office Blue 2007"`
org.pushingpixels.substance.api.skin.OfficeSilver2007Skin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Office Silver 2007"`
org.pushingpixels.substance.api.skin.RavenSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Raven"`
org.pushingpixels.substance.api.skin.SaharaSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Sahara"`
org.pushingpixels.substance.api.skin.TwilightSkin
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"Twilight"`

org.pushingpixels.substance.internal.contrib.jgoodies.looks.Options
Modifier and Type
Constant Field
Value
`public static final String`
`CONTROL_FONT_KEY`
`"jgoodies.controlFont"`
`public static final String`
`DEFAULT_ICON_SIZE_KEY`
`"jgoodies.defaultIconSize"`
`public static final String`
`DEFAULT_LOOK_NAME`
`"com.jgoodies.looks.plastic.Plastic3DLookAndFeel"`
`public static final String`
`EMBEDDED_TABS_KEY`
`"jgoodies.embeddedTabs"`
`public static final String`
`EXT_WINDOWS_NAME`
`"com.jgoodies.looks.windows.WindowsLookAndFeel"`
`public static final String`
`FONT_SIZE_HINTS_KEY`
`"jgoodies.fontSizeHints"`
`public static final String`
`HEADER_STYLE_KEY`
`"jgoodies.headerStyle"`
`public static final String`
`IS_ETCHED_KEY`
`"jgoodies.isEtched"`
`public static final String`
`IS_NARROW_KEY`
`"jgoodies.isNarrow"`
`public static final String`
`JGOODIES_WINDOWS_NAME`
`"com.jgoodies.looks.windows.WindowsLookAndFeel"`
`public static final String`
`MENU_FONT_KEY`
`"jgoodies.menuFont"`
`public static final String`
`NO_CONTENT_BORDER_KEY`
`"jgoodies.noContentBorder"`
`public static final String`
`NO_ICONS_KEY`
`"jgoodies.noIcons"`
`public static final String`
`PLASTIC_NAME`
`"com.jgoodies.looks.plastic.PlasticLookAndFeel"`
`public static final String`
`PLASTIC3D_NAME`
`"com.jgoodies.looks.plastic.Plastic3DLookAndFeel"`
`public static final String`
`PLASTICXP_NAME`
`"com.jgoodies.looks.plastic.PlasticXPLookAndFeel"`
`public static final String`
`POPUP_DROP_SHADOW_ENABLED_KEY`
`"jgoodies.popupDropShadowEnabled"`
`public static final String`
`TAB_ICONS_ENABLED_KEY`
`"jgoodies.tabIconsEnabled"`
`public static final String`
`TREE_LINE_STYLE_ANGLED_VALUE`
`"Angled"`
`public static final String`
`TREE_LINE_STYLE_KEY`
`"JTree.lineStyle"`
`public static final String`
`TREE_LINE_STYLE_NONE_VALUE`
`"None"`
`public static final String`
`USE_NARROW_BUTTONS_KEY`
`"jgoodies.useNarrowButtons"`
`public static final String`
`USE_SYSTEM_FONTS_APP_KEY`
`"Application.useSystemFontSettings"`
`public static final String`
`USE_SYSTEM_FONTS_KEY`
`"swing.useSystemFontSettings"`

org.pushingpixels.substance.internal.contrib.xoetrope.editor.color.ColorWheelPanel
Modifier and Type
Constant Field
Value
`public static final int`
`ALWAYS_ADJUST`
`1`
`public static final int`
`ANALOGIC_SCHEME`
`4`
`public static final int`
`CONTRASTING_SCHEME`
`1`
`public static final int`
`CTRL_ADJUST`
`0`
`public static final int`
`DOUBLE_CONTRAST_SCHEME`
`3`
`public static final int`
`MONOCHROMATIC_SCHEME`
`0`
`public static final int`
`NEVER_ADJUST`
`2`
`public static final int`
`SOFT_CONTRAST_SCHEME`
`2`
org.pushingpixels.substance.internal.contrib.xoetrope.editor.color.ModelColor
Modifier and Type
Constant Field
Value
`public static final int`
`NUM_COLOR_RINGS`
`7`
`public static final int`
`NUM_SEGMENTS`
`24`

org.pushingpixels.substance.internal.fonts.Fonts
Modifier and Type
Constant Field
Value
`public static final String`
`SEGOE_UI_NAME`
`"Segoe UI"`
`public static final String`
`TAHOMA_NAME`
`"Tahoma"`

org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet
Modifier and Type
Constant Field
Value
`public static final String`
`PRESSED`
`"pressed"`
`public static final String`
`RELEASED`
`"released"`
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.ComboActions
Modifier and Type
Constant Field
Value
`public static final String`
`DOWN`
`"selectNext"`
`public static final String`
`DOWN_2`
`"selectNext2"`
`public static final String`
`END`
`"endPassThrough"`
`public static final String`
`ENTER`
`"enterPressed"`
`public static final String`
`HIDE`
`"hidePopup"`
`public static final String`
`HOME`
`"homePassThrough"`
`public static final String`
`PAGE_DOWN`
`"pageDownPassThrough"`
`public static final String`
`PAGE_UP`
`"pageUpPassThrough"`
`public static final String`
`TOGGLE`
`"togglePopup"`
`public static final String`
`TOGGLE_2`
`"spacePopup"`
`public static final String`
`UP`
`"selectPrevious"`
`public static final String`
`UP_2`
`"selectPrevious2"`
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.FileChooserActions
Modifier and Type
Constant Field
Value
`public static final String`
`APPROVE_SELECTION`
`"approveSelection"`
`public static final String`
`CANCEL_SELECTION`
`"cancelSelection"`
`public static final String`
`EDIT_FILE_NAME`
`"editFileName"`
`public static final String`
`GO_UP`
`"Go Up"`
`public static final String`
`REFRESH`
`"refresh"`
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.ListActions
Modifier and Type
Constant Field
Value
`public static final String`
`ADD_TO_SELECTION`
`"addToSelection"`
`public static final String`
`CLEAR_SELECTION`
`"clearSelection"`
`public static final String`
`EXTEND_TO`
`"extendTo"`
`public static final String`
`MOVE_SELECTION_TO`
`"moveSelectionTo"`
`public static final String`
`SCROLL_DOWN`
`"scrollDown"`
`public static final String`
`SCROLL_DOWN_CHANGE_LEAD`
`"scrollDownChangeLead"`
`public static final String`
`SCROLL_DOWN_EXTEND`
`"scrollDownExtendSelection"`
`public static final String`
`SCROLL_UP`
`"scrollUp"`
`public static final String`
`SCROLL_UP_CHANGE_LEAD`
`"scrollUpChangeLead"`
`public static final String`
`SCROLL_UP_EXTEND`
`"scrollUpExtendSelection"`
`public static final String`
`SELECT_ALL`
`"selectAll"`
`public static final String`
`SELECT_FIRST_ROW`
`"selectFirstRow"`
`public static final String`
`SELECT_FIRST_ROW_CHANGE_LEAD`
`"selectFirstRowChangeLead"`
`public static final String`
`SELECT_FIRST_ROW_EXTEND`
`"selectFirstRowExtendSelection"`
`public static final String`
`SELECT_LAST_ROW`
`"selectLastRow"`
`public static final String`
`SELECT_LAST_ROW_CHANGE_LEAD`
`"selectLastRowChangeLead"`
`public static final String`
`SELECT_LAST_ROW_EXTEND`
`"selectLastRowExtendSelection"`
`public static final String`
`SELECT_NEXT_COLUMN`
`"selectNextColumn"`
`public static final String`
`SELECT_NEXT_COLUMN_CHANGE_LEAD`
`"selectNextColumnChangeLead"`
`public static final String`
`SELECT_NEXT_COLUMN_EXTEND`
`"selectNextColumnExtendSelection"`
`public static final String`
`SELECT_NEXT_ROW`
`"selectNextRow"`
`public static final String`
`SELECT_NEXT_ROW_CHANGE_LEAD`
`"selectNextRowChangeLead"`
`public static final String`
`SELECT_NEXT_ROW_EXTEND`
`"selectNextRowExtendSelection"`
`public static final String`
`SELECT_PREVIOUS_COLUMN`
`"selectPreviousColumn"`
`public static final String`
`SELECT_PREVIOUS_COLUMN_CHANGE_LEAD`
`"selectPreviousColumnChangeLead"`
`public static final String`
`SELECT_PREVIOUS_COLUMN_EXTEND`
`"selectPreviousColumnExtendSelection"`
`public static final String`
`SELECT_PREVIOUS_ROW`
`"selectPreviousRow"`
`public static final String`
`SELECT_PREVIOUS_ROW_CHANGE_LEAD`
`"selectPreviousRowChangeLead"`
`public static final String`
`SELECT_PREVIOUS_ROW_EXTEND`
`"selectPreviousRowExtendSelection"`
`public static final String`
`TOGGLE_AND_ANCHOR`
`"toggleAndAnchor"`
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.RootPaneActions
Modifier and Type
Constant Field
Value
`public static final String`
`POST_POPUP`
`"postPopup"`
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.ScrollBarActions
Modifier and Type
Constant Field
Value
`public static final String`
`MAX_SCROLL`
`"maxScroll"`
`public static final String`
`MIN_SCROLL`
`"minScroll"`
`public static final String`
`NEGATIVE_BLOCK_INCREMENT`
`"negativeBlockIncrement"`
`public static final String`
`NEGATIVE_UNIT_INCREMENT`
`"negativeUnitIncrement"`
`public static final String`
`POSITIVE_BLOCK_INCREMENT`
`"positiveBlockIncrement"`
`public static final String`
`POSITIVE_UNIT_INCREMENT`
`"positiveUnitIncrement"`
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.ScrollPaneActions
Modifier and Type
Constant Field
Value
`public static final String`
`SCROLL_DOWN`
`"scrollDown"`
`public static final String`
`SCROLL_END`
`"scrollEnd"`
`public static final String`
`SCROLL_HOME`
`"scrollHome"`
`public static final String`
`SCROLL_LEFT`
`"scrollLeft"`
`public static final String`
`SCROLL_RIGHT`
`"scrollRight"`
`public static final String`
`SCROLL_UP`
`"scrollUp"`
`public static final String`
`UNIT_SCROLL_DOWN`
`"unitScrollDown"`
`public static final String`
`UNIT_SCROLL_LEFT`
`"unitScrollLeft"`
`public static final String`
`UNIT_SCROLL_RIGHT`
`"unitScrollRight"`
`public static final String`
`UNIT_SCROLL_UP`
`"unitScrollUp"`
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.SliderActions
Modifier and Type
Constant Field
Value
`public static final String`
`MAX_SCROLL_INCREMENT`
`"maxScroll"`
`public static final String`
`MIN_SCROLL_INCREMENT`
`"minScroll"`
`public static final String`
`NEGATIVE_BLOCK_INCREMENT`
`"negativeBlockIncrement"`
`public static final String`
`NEGATIVE_UNIT_INCREMENT`
`"negativeUnitIncrement"`
`public static final String`
`POSITIVE_BLOCK_INCREMENT`
`"positiveBlockIncrement"`
`public static final String`
`POSITIVE_UNIT_INCREMENT`
`"positiveUnitIncrement"`
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.SplitPaneActions
Modifier and Type
Constant Field
Value
`public static final String`
`FOCUS_OUT_BACKWARD`
`"focusOutBackward"`
`public static final String`
`FOCUS_OUT_FORWARD`
`"focusOutForward"`
`public static final String`
`NEGATIVE_INCREMENT`
`"negativeIncrement"`
`public static final String`
`POSITIVE_INCREMENT`
`"positiveIncrement"`
`public static final String`
`SELECT_MAX`
`"selectMax"`
`public static final String`
`SELECT_MIN`
`"selectMin"`
`public static final String`
`START_RESIZE`
`"startResize"`
`public static final String`
`TOGGLE_FOCUS`
`"toggleFocus"`
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.TabbedPaneActions
Modifier and Type
Constant Field
Value
`public static final String`
`DOWN`
`"navigateDown"`
`public static final String`
`LEFT`
`"navigateLeft"`
`public static final String`
`NEXT`
`"navigateNext"`
`public static final String`
`PAGE_DOWN`
`"navigatePageDown"`
`public static final String`
`PAGE_UP`
`"navigatePageUp"`
`public static final String`
`PREVIOUS`
`"navigatePrevious"`
`public static final String`
`REQUEST_FOCUS`
`"requestFocus"`
`public static final String`
`REQUEST_FOCUS_FOR_VISIBLE`
`"requestFocusForVisibleComponent"`
`public static final String`
`RIGHT`
`"navigateRight"`
`public static final String`
`SCROLL_BACKWARD`
`"scrollTabsBackwardAction"`
`public static final String`
`SCROLL_FORWARD`
`"scrollTabsForwardAction"`
`public static final String`
`SELECT_FOCUSED`
`"selectTabWithFocus"`
`public static final String`
`SET_SELECTED`
`"setSelectedIndex"`
`public static final String`
`UP`
`"navigateUp"`
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.TableActions
Modifier and Type
Constant Field
Value
`public static final String`
`ADD_TO_SELECTION`
`"addToSelection"`
`public static final String`
`CANCEL_EDITING`
`"cancel"`
`public static final String`
`CLEAR_SELECTION`
`"clearSelection"`
`public static final String`
`EXTEND_TO`
`"extendTo"`
`public static final String`
`FIRST_COLUMN`
`"selectFirstColumn"`
`public static final String`
`FIRST_COLUMN_EXTEND_SELECTION`
`"selectFirstColumnExtendSelection"`
`public static final String`
`FIRST_ROW`
`"selectFirstRow"`
`public static final String`
`FIRST_ROW_EXTEND_SELECTION`
`"selectFirstRowExtendSelection"`
`public static final String`
`FOCUS_HEADER`
`"focusHeader"`
`public static final String`
`LAST_COLUMN`
`"selectLastColumn"`
`public static final String`
`LAST_COLUMN_EXTEND_SELECTION`
`"selectLastColumnExtendSelection"`
`public static final String`
`LAST_ROW`
`"selectLastRow"`
`public static final String`
`LAST_ROW_EXTEND_SELECTION`
`"selectLastRowExtendSelection"`
`public static final String`
`MOVE_SELECTION_TO`
`"moveSelectionTo"`
`public static final String`
`NEXT_COLUMN`
`"selectNextColumn"`
`public static final String`
`NEXT_COLUMN_CELL`
`"selectNextColumnCell"`
`public static final String`
`NEXT_COLUMN_CHANGE_LEAD`
`"selectNextColumnChangeLead"`
`public static final String`
`NEXT_COLUMN_EXTEND_SELECTION`
`"selectNextColumnExtendSelection"`
`public static final String`
`NEXT_ROW`
`"selectNextRow"`
`public static final String`
`NEXT_ROW_CELL`
`"selectNextRowCell"`
`public static final String`
`NEXT_ROW_CHANGE_LEAD`
`"selectNextRowChangeLead"`
`public static final String`
`NEXT_ROW_EXTEND_SELECTION`
`"selectNextRowExtendSelection"`
`public static final String`
`PREVIOUS_COLUMN`
`"selectPreviousColumn"`
`public static final String`
`PREVIOUS_COLUMN_CELL`
`"selectPreviousColumnCell"`
`public static final String`
`PREVIOUS_COLUMN_CHANGE_LEAD`
`"selectPreviousColumnChangeLead"`
`public static final String`
`PREVIOUS_COLUMN_EXTEND_SELECTION`
`"selectPreviousColumnExtendSelection"`
`public static final String`
`PREVIOUS_ROW`
`"selectPreviousRow"`
`public static final String`
`PREVIOUS_ROW_CELL`
`"selectPreviousRowCell"`
`public static final String`
`PREVIOUS_ROW_CHANGE_LEAD`
`"selectPreviousRowChangeLead"`
`public static final String`
`PREVIOUS_ROW_EXTEND_SELECTION`
`"selectPreviousRowExtendSelection"`
`public static final String`
`SCROLL_DOWN_CHANGE_SELECTION`
`"scrollDownChangeSelection"`
`public static final String`
`SCROLL_DOWN_EXTEND_SELECTION`
`"scrollDownExtendSelection"`
`public static final String`
`SCROLL_LEFT_CHANGE_SELECTION`
`"scrollLeftChangeSelection"`
`public static final String`
`SCROLL_LEFT_EXTEND_SELECTION`
`"scrollLeftExtendSelection"`
`public static final String`
`SCROLL_RIGHT_CHANGE_SELECTION`
`"scrollRightChangeSelection"`
`public static final String`
`SCROLL_RIGHT_EXTEND_SELECTION`
`"scrollRightExtendSelection"`
`public static final String`
`SCROLL_UP_CHANGE_SELECTION`
`"scrollUpChangeSelection"`
`public static final String`
`SCROLL_UP_EXTEND_SELECTION`
`"scrollUpExtendSelection"`
`public static final String`
`SELECT_ALL`
`"selectAll"`
`public static final String`
`START_EDITING`
`"startEditing"`
`public static final String`
`TOGGLE_AND_ANCHOR`
`"toggleAndAnchor"`
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.TableHeaderActions
Modifier and Type
Constant Field
Value
`public static final String`
`FOCUS_TABLE`
`"focusTable"`
`public static final String`
`MOVE_COLUMN_LEFT`
`"moveColumnLeft"`
`public static final String`
`MOVE_COLUMN_RIGHT`
`"moveColumnRight"`
`public static final String`
`RESIZE_LEFT`
`"resizeLeft"`
`public static final String`
`RESIZE_RIGHT`
`"resizeRight"`
`public static final String`
`SELECT_COLUMN_TO_LEFT`
`"selectColumnToLeft"`
`public static final String`
`SELECT_COLUMN_TO_RIGHT`
`"selectColumnToRight"`
`public static final String`
`TOGGLE_SORT_ORDER`
`"toggleSortOrder"`
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.TextComponentActions
Modifier and Type
Constant Field
Value
`public static final String`
`ACTIVATE_LINK`
`"activate-link-action"`
`public static final String`
`DECREMENT`
`"decrement"`
`public static final String`
`INCREMENT`
`"increment"`
`public static final String`
`NEXT_LINK`
`"next-link-action"`
`public static final String`
`PREVIOUS_LINK`
`"previous-link-action"`
`public static final String`
`RESET_FIELD_EDIT`
`"reset-field-edit"`
`public static final String`
`SELECTION_PAGE_DOWN`
`"selection-page-down"`
`public static final String`
`SELECTION_PAGE_LEFT`
`"selection-page-left"`
`public static final String`
`SELECTION_PAGE_RIGHT`
`"selection-page-right"`
`public static final String`
`SELECTION_PAGE_UP`
`"selection-page-up"`
`public static final String`
`TOGGLE_COMPONENT_ORIENTATION`
`"toggle-componentOrientation"`
`public static final String`
`UNSELECT`
`"unselect"`
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.ToolBarActions
Modifier and Type
Constant Field
Value
`public static final String`
`NAVIGATE_DOWN`
`"navigateDown"`
`public static final String`
`NAVIGATE_LEFT`
`"navigateLeft"`
`public static final String`
`NAVIGATE_RIGHT`
`"navigateRight"`
`public static final String`
`NAVIGATE_UP`
`"navigateUp"`
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.TreeActions
Modifier and Type
Constant Field
Value
`public static final String`
`ADD_TO_SELECTION`
`"addToSelection"`
`public static final String`
`CANCEL_EDITING`
`"cancel"`
`public static final String`
`CLEAR_SELECTION`
`"clearSelection"`
`public static final String`
`COLLAPSE`
`"collapse"`
`public static final String`
`EXPAND`
`"expand"`
`public static final String`
`EXTEND_TO`
`"extendTo"`
`public static final String`
`MOVE_SELECTION_TO`
`"moveSelectionTo"`
`public static final String`
`MOVE_SELECTION_TO_PARENT`
`"moveSelectionToParent"`
`public static final String`
`SCROLL_DOWN_CHANGE_LEAD`
`"scrollDownChangeLead"`
`public static final String`
`SCROLL_DOWN_CHANGE_SELECTION`
`"scrollDownChangeSelection"`
`public static final String`
`SCROLL_DOWN_EXTEND_SELECTION`
`"scrollDownExtendSelection"`
`public static final String`
`SCROLL_LEFT`
`"scrollLeft"`
`public static final String`
`SCROLL_LEFT_CHANGE_LEAD`
`"scrollLeftChangeLead"`
`public static final String`
`SCROLL_LEFT_EXTEND_SELECTION`
`"scrollLeftExtendSelection"`
`public static final String`
`SCROLL_RIGHT`
`"scrollRight"`
`public static final String`
`SCROLL_RIGHT_CHANGE_LEAD`
`"scrollRightChangeLead"`
`public static final String`
`SCROLL_RIGHT_EXTEND_SELECTION`
`"scrollRightExtendSelection"`
`public static final String`
`SCROLL_UP_CHANGE_LEAD`
`"scrollUpChangeLead"`
`public static final String`
`SCROLL_UP_CHANGE_SELECTION`
`"scrollUpChangeSelection"`
`public static final String`
`SCROLL_UP_EXTEND_SELECTION`
`"scrollUpExtendSelection"`
`public static final String`
`SELECT_ALL`
`"selectAll"`
`public static final String`
`SELECT_CHILD`
`"selectChild"`
`public static final String`
`SELECT_CHILD_CHANGE_LEAD`
`"selectChildChangeLead"`
`public static final String`
`SELECT_FIRST`
`"selectFirst"`
`public static final String`
`SELECT_FIRST_CHANGE_LEAD`
`"selectFirstChangeLead"`
`public static final String`
`SELECT_FIRST_EXTEND_SELECTION`
`"selectFirstExtendSelection"`
`public static final String`
`SELECT_LAST`
`"selectLast"`
`public static final String`
`SELECT_LAST_CHANGE_LEAD`
`"selectLastChangeLead"`
`public static final String`
`SELECT_LAST_EXTEND_SELECTION`
`"selectLastExtendSelection"`
`public static final String`
`SELECT_NEXT`
`"selectNext"`
`public static final String`
`SELECT_NEXT_CHANGE_LEAD`
`"selectNextChangeLead"`
`public static final String`
`SELECT_NEXT_EXTEND_SELECTION`
`"selectNextExtendSelection"`
`public static final String`
`SELECT_PARENT`
`"selectParent"`
`public static final String`
`SELECT_PARENT_CHANGE_LEAD`
`"selectParentChangeLead"`
`public static final String`
`SELECT_PREVIOUS`
`"selectPrevious"`
`public static final String`
`SELECT_PREVIOUS_CHANGE_LEAD`
`"selectPreviousChangeLead"`
`public static final String`
`SELECT_PREVIOUS_EXTEND_SELECTION`
`"selectPreviousExtendSelection"`
`public static final String`
`START_EDITING`
`"startEditing"`
`public static final String`
`TOGGLE`
`"toggle"`
`public static final String`
`TOGGLE_AND_ANCHOR`
`"toggleAndAnchor"`

org.pushingpixels.substance.internal.plugin.BasePlugin
Modifier and Type
Constant Field
Value
`protected static final String`
`commonDir`
`"/org/pushingpixels/substance/internal/contrib/randelshofer/quaqua/images/"`
`protected static final String`
`quaquaColorChooserClassName`
`"org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.Quaqua14ColorChooserUI"`
org.pushingpixels.substance.internal.plugin.SubstanceSkinPlugin
Modifier and Type
Constant Field
Value
`public static final String`
`TAG_SKIN_PLUGIN_CLASS`
`"skin-plugin-class"`

org.pushingpixels.substance.internal.ui.SubstanceButtonUI
Modifier and Type
Constant Field
Value
`public static final String`
`BORDER_COMPUTED`
`"substancelaf.buttonbordercomputed"`
`public static final String`
`BORDER_COMPUTING`
`"substancelaf.buttonbordercomputing"`
`public static final String`
`BORDER_ORIGINAL`
`"substancelaf.buttonborderoriginal"`
`public static final String`
`ICON_ORIGINAL`
`"substancelaf.buttoniconoriginal"`
`public static final String`
`IS_TITLE_CLOSE_BUTTON`
`"substancelaf.internal.isTitleCloseButton"`
`public static final String`
`LOCK_OPACITY`
`"substancelaf.lockopacity"`
`public static final String`
`OPACITY_ORIGINAL`
`"substancelaf.buttonopacityoriginal"`

org.pushingpixels.substance.internal.utils.SubstanceCoreUtilities
Modifier and Type
Constant Field
Value
`public static final String`
`IS_COVERED_BY_LIGHTWEIGHT_POPUPS`
`"substancelaf.internal.paint.isCoveredByLightweightPopups"`
`public static final String`
`TEXT_COMPONENT_AWARE`
`"substancelaf.internal.textComponentAware"`
org.pushingpixels.substance.internal.utils.SubstanceInternalFrameTitlePane
Modifier and Type
Constant Field
Value
`protected static final String`
`ICONIFYING`
`"substance.internal.internalTitleFramePane.iconifying"`
`protected static final String`
`UNINSTALLED`
`"substance.internal.internalTitleFramePane.uninstalled"`
org.pushingpixels.substance.internal.utils.SubstanceTextUtilities
Modifier and Type
Constant Field
Value
`public static final String`
`ENFORCE_FG_COLOR`
`"substancelaf.internal.textUtilities.enforceFgColor"`
org.pushingpixels.substance.internal.utils.SubstanceTitlePane
Modifier and Type
Constant Field
Value
`protected static final String`
`EXTRA_COMPONENT_KIND`
`"substancelaf.internal.titlePane.extraComponentKind"`

org.pushingpixels.substance.internal.utils.filters.ColorSchemeFilter
Modifier and Type
Constant Field
Value
`public static final int`
`MAPSTEPS`
`512`

org.pushingpixels.substance.internal.utils.menu.MenuUtilities
Modifier and Type
Constant Field
Value
`public static final String`
`LAYOUT_INFO`
`"substancelaf.internal.menus.layoutInfo"`